Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233364 - zd1211rw and zd1211rw_mac80211 interact really, really badly
Summary: zd1211rw and zd1211rw_mac80211 interact really, really badly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-03-21 20:12 UTC by Richard Hughes
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-11 00:28:19 UTC


Attachments (Terms of Use)

Description Richard Hughes 2007-03-21 20:12:01 UTC
Description of problem:
I'm using a laptop with an internal ipw1945 network adapter, and so now with
recent rawhide kernels the iwlwifi driver gets loaded.
I'm also using a USB network adapter (as the ipw1945 does not work yet), a
zd1211rw based adapter. Now with rawhide the zd1211rw_mac80211, iwlwifi *and*
the zd1211rw driver get loaded, leading to the oops below.

Probably either the zd1211rw *or* the zd1211rw_mac80211 should be turned on in
the config, not both.

Version-Release number of selected component (if applicable):
2.6.20-1.2960.fc7

How reproducible:
Always, usually during boot (which also disables the keyboard).

Steps to Reproduce:
1. Boot with a zd1211rw USB dongle attached.
2. Boom.

Additional info:

Modules linked in: zd1211rw ieee80211softmac ieee80211 ieee80211_crypt
zd1211rw_mac80211 cpufreq_ondemand cpufreq_powersave cpufreq_conservative rfcomm
l2cap xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables dm_mirror
dm_multipath dm_mod video sbs i2c_ec button dock battery asus_acpi ac ipv6
parport_pc lp parport arc4 ecb blkcipher snd_hda_intel snd_hda_codec
snd_seq_dummy snd_seq_oss snd_seq_midi_event fw_ohci snd_seq hci_usb bluetooth
iwlwifi fw_core rtc_cmos mac80211 8139cp snd_seq_device rtc_core 8139too rtc_lib
snd_pcm_oss mii cfg80211 sdhci mmc_core snd_mixer_oss iTCO_wdt
iTCO_vendor_support snd_pcm serio_raw snd_timer snd soundcore i2c_i801
snd_page_alloc i2c_core pcspkr sr_mod cdrom joydev sg ata_piix ata_generic
libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<c04352f5>]    Not tainted VLI
EFLAGS: 00010246   (2.6.20-1.2999.fc7 #1)
EIP is at queue_work+0x24/0x4d
eax: 00000008   ebx: 00000000   ecx: 00000000   edx: f2e7b0b0
esi: 00000000   edi: f2e782e0   ebp: c2498cfc   esp: c2498cf4
ds: 007b   es: 007b   fs: 00d8  gs: 0000  ss: 0068
Process events/0 (pid: 8, ti=c2498000 task=c2494030 task.ti=c2498000)
Stack: f2e791e0 f30ab6e0 c2498d1c f8a9271b f2eb8c9c c2498d1c f8a40116 f75691f8 
       f30ab6e0 f2e782e0 c2498e1c f8a42880 f30ab6e0 f2d01000 f8a4ae7e 00000000 
       00000002 0000002d 0000002f 00000036 000000d7 00000001 00000000 00000089 
Call Trace:
 [<c04061ed>] show_trace_log_lvl+0x1a/0x2f
 [<c040629d>] show_stack_log_lvl+0x9b/0xa3
 [<c040645d>] show_registers+0x1b8/0x289
 [<c040665b>] die+0x12d/0x242
 [<c061727e>] do_page_fault+0x3ee/0x4ba
 [<c0615a14>] error_code+0x7c/0x84
 [<f8a9271b>] ipw_rate_scale_rate_init+0xda/0xe2 [iwlwifi]
 [<f8a42880>] ieee80211_rx_mgmt_assoc_resp+0x571/0x5cb [mac80211]
 [<f8a437f1>] ieee80211_sta_work+0x99e/0x1482 [mac80211]
 [<c043514f>] run_workqueue+0x89/0x145
 [<c0435b6b>] worker_thread+0xf8/0x124
 [<c0438357>] kthread+0xb3/0xdc
 [<c0405cd7>] kernel_thread_helper+0x7/0x10
 =======================
Code: 72 ff ff ff 5b 5d c3 55 89 c1 89 e5 56 53 64 8b 35 04 00 00 00 f0 0f ba 2a
00 19 c0 31 db 85 c0 75 2c 8b 1d a8 06 7f c0 8d 41 08 <39> 41 08 8d 42 04 0f 45
de 39 42 04 74 04 0f 0b eb fe 8b 01 f7 
EIP: [<c04352f5>] queue_work+0x24/0x4d SS:ESP 0068:c2498cf4
ADDRCONF(NETDEV_CHANGE): wlan1: link becomes ready
wlan1: duplicate address detected!

Comment 1 John W. Linville 2007-04-18 19:39:25 UTC
Can you still recreate this with current rawhide kernels?

BTW, I think that summary change was wrong, as the stack trace points directly 
at the iwlwifi driver...

Comment 2 John W. Linville 2007-05-11 00:28:19 UTC
I have disabled the softmac-based "zd1211rw" driver, in favor 
of "zd1211rw-mac80211"...

Comment 3 Richard Hughes 2007-05-17 11:23:52 UTC
Yes, and this fixes the problem. Thanks John.


Note You need to log in before you can comment on or make changes to this bug.